<?php
/*
Plugin Name: InfoLink
Plugin URI: http://www.gnomx.at/infolink
Description: Adds a button to the Editor, easy linking to Wikipedia, IMDB or add a link with google search.
Version: 1.0
Author: Sirlon
Author URI: http://www.gnomx.at
*/

/*  
	Copyright
	----------
	
	InfoLink©2009 by Gnomx.at.
	
    This file is part of InfoLink.

    InfoLink is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    InfoLink is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with InfoLink.  If not, see <http://www.gnu.org/licenses/>.
*/

define( 'INFOLINK_VERSION', '1.0' );

if ( ! defined( 'INFOLINK_PLUGIN_DIR' ) )
	define( 'INFOLINK_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . plugin_basename( dirname( __FILE__ ) ) );

if ( ! defined( 'INFOLINK_PLUGIN_URL' ) )
	define( 'INFOLINK_PLUGIN_URL', WP_PLUGIN_URL . '/' . plugin_basename( dirname( __FILE__ ) ) );
	

// Registe Button
function infoLink_addbutton()
{
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
 
   if ( get_user_option('rich_editing') == 'true') {
    	add_filter("mce_external_plugins", "add_infoLink_tinymce_plugin");
     	add_filter("mce_buttons", "register_infoLink_button");
   }	
}

function register_infoLink_button($buttons) 
{
   array_push($buttons, "separator", "infolink");
   return $buttons;
}

function add_infoLink_tinymce_plugin($plugin_array) {
   $plugin_array['infolink'] = INFOLINK_PLUGIN_URL."/editor_plugin.js";
   return $plugin_array;
}

// Register with Wordpress
add_action('init', 'infoLink_addbutton');
?>